---------------------
PatchSet 4982 
Date: 2007/07/12 06:07:13
Author: amosjeffries
Branch: docs
Tag: (none) 
Log:
Merge old External Programs documentation into source.
Document dnsserver and unlinkd interfaces.

Members: 
	doc/Programming-Guide/04_ExternalPrograms.dox:1.1.2.2->1.1.2.3 
	doc/Programming-Guide/Groups.dox:1.1.2.1->1.1.2.2 
	src/dnsserver.cc:1.9.14.1->1.9.14.2 
	src/unlinkd_daemon.cc:1.2.18.1->1.2.18.2 

Index: squid3/doc/Programming-Guide/04_ExternalPrograms.dox
===================================================================
RCS file: /cvsroot/squid-sf//squid3/doc/Programming-Guide/Attic/04_ExternalPrograms.dox,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/doc/Programming-Guide/04_ExternalPrograms.dox	11 Jul 2007 23:35:00 -0000	1.1.2.2
+++ squid3/doc/Programming-Guide/04_ExternalPrograms.dox	12 Jul 2007 06:07:13 -0000	1.1.2.3
@@ -1,5 +1,5 @@
 /**
-\page 04_ExternalPrograms External Programs
+\defgroup ExternalPrograms External Programs
 
 \section dnsserver dnsserver
 \par
@@ -25,6 +25,12 @@
 	we prefer to have the smaller and simpler pinger
 	program installed with setuid permissions.
 
+\section redirector redirector
+\par
+	A redirector process reads URLs on stdin and writes (possibly
+	changed) URLs on stdout.  It is implemented as an external
+	process to maximize flexibility.
+
 \section unlinkd unlinkd
 \par
 	The unlink(2) system call can cause a process to block
@@ -32,10 +38,4 @@
 	to make unlink() calls from Squid.  Instead we pass them
 	to this external process.
 
-\section redirector redirector
-\par
-	A redirector process reads URLs on stdin and writes (possibly
-	changed) URLs on stdout.  It is implemented as an external
-	process to maximize flexibility.
-
  */
Index: squid3/doc/Programming-Guide/Groups.dox
===================================================================
RCS file: /cvsroot/squid-sf//squid3/doc/Programming-Guide/Attic/Groups.dox,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid3/doc/Programming-Guide/Groups.dox	11 Jul 2007 05:32:10 -0000	1.1.2.1
+++ squid3/doc/Programming-Guide/Groups.dox	12 Jul 2007 06:07:13 -0000	1.1.2.2
@@ -54,11 +54,3 @@
  *      These mehods are registered as callbacks to receive notice whenever a
  *      specific event occurs.
  */
-
-/**
- * \defgroup ExternalPrograms         External Programs
- * 
- * \par
- *      Squid uses external programs to assis in some critical activities.
- *      By nature these activities cannot be allowed to delay squid.
- */
Index: squid3/src/dnsserver.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/dnsserver.cc,v
retrieving revision 1.9.14.1
retrieving revision 1.9.14.2
diff -u -r1.9.14.1 -r1.9.14.2
--- squid3/src/dnsserver.cc	11 Jul 2007 03:14:59 -0000	1.9.14.1
+++ squid3/src/dnsserver.cc	12 Jul 2007 06:07:13 -0000	1.9.14.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: dnsserver.cc,v 1.9.14.1 2007/07/11 03:14:59 amosjeffries Exp $
+ * $Id: dnsserver.cc,v 1.9.14.2 2007/07/12 06:07:13 amosjeffries Exp $
  *
  * DEBUG: section 0     DNS Resolver
  * AUTHOR: Harvest Derived
@@ -33,6 +33,11 @@
  *
  */
 
+/**
+ * \defgroup dnsserver dnsserver
+ * \ingroup ExternalPrograms
+ */
+
 #include "config.h"
 
 #if HAVE_UNISTD_H
@@ -162,8 +167,11 @@
 
 static struct IN_ADDR no_addr;
 
-/** \ingroup POD
- *  error messages from gethostbyname() */
+/** \ingroup POD, dnsserver
+ *
+ * \param x System errno produced by gethostbyname().
+ * \retval Text representation of the error.
+ */
 static char *
 my_h_msgs(int x)
 {
@@ -182,7 +190,7 @@
 #define REQ_SZ 512
 
 /**
- * \interface dnsserver "dnsserver.cc"
+ * \ingroup dnsserver
  */
 static void
 lookup(const char *buf)
@@ -266,7 +274,7 @@
 
 /**
  * \interface dnsserver "dnsserver.cc"
- * \ingroup ExternalPrograms
+ * \ingroup dnsserver
  *
 \verbatim
 usage: dnsserver -Dhv -s nameserver
@@ -288,6 +296,11 @@
             "\t               must be an IP address, -s option may be repeated\n");
 }
 
+/**
+ * \ingroup dnsserver
+ *
+ * This is the external dnsserver process.
+ */
 int
 main(int argc, char *argv[])
 {
Index: squid3/src/unlinkd_daemon.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/unlinkd_daemon.cc,v
retrieving revision 1.2.18.1
retrieving revision 1.2.18.2
diff -u -r1.2.18.1 -r1.2.18.2
--- squid3/src/unlinkd_daemon.cc	12 Jul 2007 05:24:14 -0000	1.2.18.1
+++ squid3/src/unlinkd_daemon.cc	12 Jul 2007 06:07:13 -0000	1.2.18.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: unlinkd_daemon.cc,v 1.2.18.1 2007/07/12 05:24:14 amosjeffries Exp $
+ * $Id: unlinkd_daemon.cc,v 1.2.18.2 2007/07/12 06:07:13 amosjeffries Exp $
  *
  * DEBUG: -             Unlink Daemon
  * AUTHOR: Duane Wessels
@@ -40,9 +40,27 @@
 #define UNLINK_BUF_LEN 1024
 
 /**
+ * \defgroup unlinkd unlinkd
  * \ingroup ExternalPrograms
- *
- * This is the external unlinkd process
+ */
+
+/**
+ * \interface unlinkd "unlinkd_daemon.cc"
+ * \ingroup unlinkd
+ * \par This is the unlinkd external process.
+ *
+ * \par
+ *    unlinkd receives the full path of any files to be removed
+ *    from stdin, each on its own line.
+ *
+ * \par
+ *    the results for each file are printed to stdout in the order
+ *    they were received
+ *
+ * \param argc Ignored.
+ * \param argv Ignored.
+ * \retval ERR An error occured removing the file.
+ * \retval OK  The file has been removed.
  */
 int
 main(int argc, char *argv[])
